#
# spec file for package ghc-haskell-src
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name haskell-src

Name:           ghc-haskell-src
Version:        1.0.2.0
Release:        3.2
Summary:        Support for manipulating Haskell source code
License:        BSD-3-Clause
Group:          System/Libraries

Url:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  happy
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-syb-devel
# End cabal-rpm deps

%description
The 'haskell-src' package provides support for manipulating Haskell source
code. The package provides a lexer, parser and pretty-printer, and a definition
of a Haskell abstract syntax tree (AST). Common uses of this package are to
parse or generate Haskell 98 code.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Tue Apr 14 2015 mimi.vx@gmail.com
- update to 1.0.2.0
  * Add support for GHC 7.10 & base-4.8)
  * Add missing `Functor` & `Applicative` instances for `P` and `Lex`
  monads needed for AMP compatibility.
* Tue Sep  9 2014 peter.trommler@ohm-hochschule.de
- update to 1.0.1.6
  * no changelog
  * Haskell Platform 2014.2.0.0
* Tue Sep  2 2014 peter.trommler@ohm-hochschule.de
- regenerated spec file
* Sat Aug 23 2014 peter.trommler@ohm-hochschule.de
- enable PowerPC builds
* Mon May  6 2013 peter.trommler@ohm-hochschule.de
- more transparent packaging (fewer macros)
* Mon Jan  7 2013 peter.trommler@ohm-hochschule.de
- expand macro in name tag to help source validator
* Sat Nov 17 2012 peter.trommler@ohm-hochschule.de
- make service localonly for Factory submission
* Sun Jun  3 2012 peter.trommler@ohm-hochschule.de
- upgrade to 1.0.1.5 from upstream (no changelog)
- required for Haskell Platform 2012.2.0.0
* Tue Jan  3 2012 peter.trommler@ohm-hochschule.de
- Added BR ghc-haskell98-devel and happy
* Mon Jan  2 2012 peter.trommler@ohm-hochschule.de
- Adjusted version for platform 2011.4
* Mon Jan  2 2012 peter.trommler@ohm-hochschule.de
- Initial packaging.
